package com.gic.haoban.manage.service.pojo.qo;

import com.gic.haoban.base.api.common.BasePageInfo;
import com.gic.haoban.manage.api.enums.hm.HmPageStatus;

import java.util.Date;

/**
 * @Author MUSI
 * @Date 2022/7/3 9:22 PM
 * @Description
 * @Version
 **/
public class HmPageTemplateQO extends BasePageInfo {

    /**
     * 模板id/模板名称/创建人
     */
    private String pageSearchText;

    /**
     * 模板id
     */
    private Long templateId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 微信企业id
     */
    private String wxEnterpriseId;

    private Date startTime;

    private Date endTime;

    /**
     * @see HmPageStatus
     */
    private Integer status;
    // 0:引流加人 1入群
    private int pageType ;

    
    public int getPageType() {
        return pageType;
    }

    public void setPageType(int pageType) {
        this.pageType = pageType;
    }

    public String getPageSearchText() {
        return pageSearchText;
    }

    public void setPageSearchText(String pageSearchText) {
        this.pageSearchText = pageSearchText;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getTemplateId() {
        return templateId;
    }

    public void setTemplateId(Long templateId) {
        this.templateId = templateId;
    }
}
